Loading...
Searching...
No Matches
Dune::Functions::NedelecNode< GV, Range, kind, order > Class Template Reference

`#include <dune/functions/functionspacebases/nedelecbasis.hh>`

Inheritance diagram for Dune::Functions::NedelecNode< GV, Range, kind, order >:

## Public Types

using | size_type = std::size_t
using | Element = typename GV::template Codim<0>::Entity
using | FiniteElementMap = typename Impl::Nedelec1stKindLocalFiniteElementMap<GV, dim, Range, order>
using | FiniteElement

## Public Member Functions

| NedelecNode (const FiniteElementMap *finiteElementMap)
const Element & | element () const
| Return current element, throw if unbound.
const FiniteElement & | finiteElement () const
| Return the LocalFiniteElement for the element we are bound to.
void | bind (const Element &e)
| Bind to element.
size_type | localIndex (size_type i) const
size_type | size () const
| Obtain the number of basis function in the local node.
bool | empty () const
| Check if the node is empty.
size_type | treeIndex () const

## Static Public Member Functions

static constexpr auto | degree ()

## Static Public Attributes

static const bool | isLeaf = true
static const bool | isPower = false
static const bool | isComposite = false

## Protected Member Functions

size_type | offset () const
void | setOffset (const size_type offset)
void | setSize (const size_type size)
void | setTreeIndex (size_type treeIndex)

## Protected Attributes

FiniteElement | finiteElement_
const Element * | element_
const FiniteElementMap * | finiteElementMap_

## Member Typedef Documentation

## Element

template<typename GV, typename Range, size_t kind, int order>

using Dune::Functions::NedelecNode< GV, Range, kind, order >::Element = typename GV::template Codim<0>::Entity

## FiniteElement

template<typename GV, typename Range, size_t kind, int order>

using Dune::Functions::NedelecNode< GV, Range, kind, order >::FiniteElement

Initial value:
Impl::GlobalValuedLocalFiniteElement<Impl::CovariantPiolaTransformator,
typename FiniteElementMap::FiniteElement,
Element>
Dune::Functions::BrezziDouglasMariniNode::Element
typename GV::template Codim< 0 >::Entity Element
Definition brezzidouglasmarinibasis.hh:232

## FiniteElementMap

template<typename GV, typename Range, size_t kind, int order>

using Dune::Functions::NedelecNode< GV, Range, kind, order >::FiniteElementMap = typename Impl::Nedelec1stKindLocalFiniteElementMap<GV, dim, Range, order>

## size_type

template<typename GV, typename Range, size_t kind, int order>

using Dune::Functions::NedelecNode< GV, Range, kind, order >::size_type = std::size_t

## Constructor & Destructor Documentation

## NedelecNode()

template<typename GV, typename Range, size_t kind, int order>

Dune::Functions::NedelecNode< GV, Range, kind, order >::NedelecNode | ( | const FiniteElementMap * | finiteElementMap | ) |

inline

## Member Function Documentation

## bind()

template<typename GV, typename Range, size_t kind, int order>

void Dune::Functions::NedelecNode< GV, Range, kind, order >::bind | ( | const Element & | e | ) |

inline

Bind to element.

## degree()

constexpr auto Dune::Functions::LeafBasisNode::degree | ( |  | ) |

inline static constexpr inherited

## element()

template<typename GV, typename Range, size_t kind, int order>

const Element & Dune::Functions::NedelecNode< GV, Range, kind, order >::element | ( |  | ) | const

inline

Return current element, throw if unbound.

## empty()

bool Dune::Functions::BasisNodeMixin::empty | ( |  | ) | const

inline inherited

Check if the node is empty.

This is equivalent to size()==0. Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## finiteElement()

template<typename GV, typename Range, size_t kind, int order>

const FiniteElement & Dune::Functions::NedelecNode< GV, Range, kind, order >::finiteElement | ( |  | ) | const

inline

Return the LocalFiniteElement for the element we are bound to.

The LocalFiniteElement implements the corresponding interfaces of the dune-localfunctions module

## localIndex()

size_type Dune::Functions::BasisNodeMixin::localIndex | ( | size_type | i | ) | const

inline inherited

## offset()

size_type Dune::Functions::BasisNodeMixin::offset | ( |  | ) | const

inline protected inherited

## setOffset()

void Dune::Functions::BasisNodeMixin::setOffset | ( | const size_type | offset | ) |

inline protected inherited

## setSize()

void Dune::Functions::BasisNodeMixin::setSize | ( | const size_type | size | ) |

inline protected inherited

## setTreeIndex()

void Dune::Functions::BasisNodeMixin::setTreeIndex | ( | size_type | treeIndex | ) |

inline protected inherited

## size()

size_type Dune::Functions::BasisNodeMixin::size | ( |  | ) | const

inline inherited

Obtain the number of basis function in the local node.

Notice that it is undefined behaviour to access the element() and finiteElement() methods of the node if it is empty, i.e., if its size is zero.

## treeIndex()

size_type Dune::Functions::BasisNodeMixin::treeIndex | ( |  | ) | const

inline inherited

## Member Data Documentation

## element_

template<typename GV, typename Range, size_t kind, int order>

const Element* Dune::Functions::NedelecNode< GV, Range, kind, order >::element_

protected

## finiteElement_

template<typename GV, typename Range, size_t kind, int order>

FiniteElement Dune::Functions::NedelecNode< GV, Range, kind, order >::finiteElement_

protected

## finiteElementMap_

template<typename GV, typename Range, size_t kind, int order>

const FiniteElementMap* Dune::Functions::NedelecNode< GV, Range, kind, order >::finiteElementMap_

protected

## isComposite

const bool Dune::Functions::LeafBasisNode::isComposite = false

static inherited

## isLeaf

const bool Dune::Functions::LeafBasisNode::isLeaf = true

static inherited

## isPower

const bool Dune::Functions::LeafBasisNode::isPower = false

static inherited

The documentation for this class was generated from the following file:

- nedelecbasis.hh